
Name: firejail
Version: 0.9.72
Release: %mkrel 1
Summary: Linux namepaces sandbox program
License: GPL+
Group: Development/Tools
Source0: https://github.com/netblue30/firejail/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz
Patch0: firejail_user.c.patch
URL: http://github.com/netblue30/firejail
Group: File tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Requires: xdg-dbus-proxy

%description
Firejail  is  a  SUID sandbox program that reduces the risk of security
breaches by restricting the running environment of untrusted applications
using Linux namespaces. It includes a sandbox profile for Mozilla Firefox.

%prep
%setup -q
%apply_patches

%build

autoreconf -fi

./configure --prefix=/usr  --libdir=/usr/lib64 --disable-userns

%make

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}


%files
%doc
%defattr(-, root, root, -)
%attr(4755, -, -) %{_bindir}/firejail
%{_bindir}/firecfg
%{_bindir}/firemon
%{_libdir}/firejail/ftee
%{_libdir}/firejail/fshaper.sh
%{_libdir}/firejail/libtrace.so
%{_libdir}/firejail/libtracelog.so
%{_libdir}/firejail/fcopy
%{_libdir}/firejail/fix_private-bin.py
%{_libdir}/firejail/fj-mkdeb.py
%{_libdir}/firejail/fjclip.py
%{_libdir}/firejail/fjdisplay.py
%{_libdir}/firejail/fjresize.py
%{_libdir}/firejail/fnet
%{_libdir}/firejail/fseccomp
%{_libdir}/firejail/seccomp
%{_libdir}/firejail/seccomp.debug
%{_libdir}/firejail/fbuilder
%{_libdir}/firejail/fnetfilter

%{_libdir}/firejail/fids
%{_libdir}/firejail/fnettrace
%{_libdir}/firejail/static-ip-map

%{_libdir}/firejail/fldd
%{_libdir}/firejail/libpostexecseccomp.so
%{_libdir}/firejail/seccomp.32
%{_libdir}/firejail/seccomp.block_secondary
%{_libdir}/firejail/seccomp.mdwx

%{_libdir}/firejail/fsec-optimize
%{_libdir}/firejail/fsec-print

%{_datarootdir}/bash-completion/completions/firejail
%{_datarootdir}/bash-completion/completions/firecfg
%{_datarootdir}/bash-completion/completions/firemon
%{_docdir}/firejail
%{_mandir}
%config %{_sysconfdir}/firejail
%{_libdir}/firejail/sort.py
%{_libdir}/firejail/syscalls.sh
   
%{_libdir}/firejail/gdb-firejail.sh
%{_libdir}/firejail/jail_prober.py
%{_libdir}/firejail/seccomp.mdwx.32
%{_libdir}/firejail/update_deb.sh

%{_datadir}/vim/vimfiles/ftdetect/firejail.vim
%{_datadir}/vim/vimfiles/syntax/firejail.vim   

%{_libdir}/firejail/firejail-welcome.sh

%{_bindir}/jailcheck
 %{_datadir}/zsh/site-functions/_firejail

%{_libdir}/firejail/fnettrace-dns
%{_libdir}/firejail/fnettrace-sni
%{_libdir}/firejail/fzenity
%{_libdir}/firejail/profstats
%{_libdir}/firejail/fnettrace-icmp
%{_datadir}/gtksourceview-5/language-specs/firejail-profile.lang

%posttrans
chmod 0644 /etc/login.defs

%changelog
* Wed Jan 18 2023 tex - 0.9.72-1pclos2023
- new version

* Sun Jun 12 2022 tex - 0.9.70-2pclos2022
- apply user 500 patch

* Sat Jun 11 2022 tex - 0.9.70-1pclos2022
- new version

* Sun Feb 06 2022 tex - 0.9.68-1pclos2022
- new version

* Wed Jun 30 2021 tex - 0.9.66-1pclos2021
- new version

* Mon Feb 08 2021 tex - 0.9.64.4-1pclos2021
- new version

* Fri Jan 29 2021 tex - 0.9.64.2-1pclos2021
- new version
